Bug 173580 - 3p section should be searched before section 2
3p section should be searched before section 2
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: man (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks: 187538
  Show dependency treegraph
 
Reported: 2005-11-18 05:40 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0344
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:15:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2005-11-18 05:40:31 EST
man-1.5o1-9

The 3p section contains the POSIX (and updated) man pages which reflect the
behaviour of the current version better than the man pages in section 2 do.
For example, the read(2) man page says:
     If count is zero, read() returns zero and has no  other  results.
And the read(3p) man page says:
       Before any action described below is taken, and if nbyte is zero,  the
       read()  function  may  detect and return errors as described below.

Similar problems will occur with pthread_* functions (eg. the different
pthread_kill behaviour), and shm* functions (the availabilty of SHMMAX for shmget).
Comment 6 Red Hat Bugzilla 2006-08-10 17:15:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0344.html

Note You need to log in before you can comment on or make changes to this bug.